summaryrefslogtreecommitdiff
path: root/pst
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-04-13 12:31:42 +0100
committerNick White <git@njw.me.uk>2009-04-13 12:31:42 +0100
commit1bbff3ce1b261ef9cb6ba217ca0d8fcb54971513 (patch)
treeac5ca6418afec68f5f5c3f2f84601559d41d144b /pst
downloadgemrb-gameinstallers-1bbff3ce1b261ef9cb6ba217ca0d8fcb54971513.tar.bz2
gemrb-gameinstallers-1bbff3ce1b261ef9cb6ba217ca0d8fcb54971513.zip
Initial import
Diffstat (limited to 'pst')
-rwxr-xr-xpst/install-2cd-extra.sh24
-rwxr-xr-xpst/install-2cd-minimal.sh30
-rwxr-xr-xpst/install-4cd-extra.sh21
-rwxr-xr-xpst/install-4cd-minimal.sh27
-rwxr-xr-xpst/install-patch-fixpack.sh35
-rwxr-xr-xpst/install-patch-official.sh22
-rwxr-xr-xpst/install-patch-tweaks.sh37
-rwxr-xr-xpst/install-patch-ub.sh35
8 files changed, 231 insertions, 0 deletions
diff --git a/pst/install-2cd-extra.sh b/pst/install-2cd-extra.sh
new file mode 100755
index 0000000..6901c10
--- /dev/null
+++ b/pst/install-2cd-extra.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Installs Planescape Torment 2CD version extras
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 640b61443cc86c434f1b6826e63c0e33 data1.cab
+
+unshield -g OtherData -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
+unshield -g OtherData -L x $CDMOUNT/data2.cab -d "$TARGETDIR" || die
+
+mv "$TARGETDIR"/otherdata/* "$TARGETDIR" || die
+rmdir "$TARGETDIR"/otherdata || die
+
+getcd 2 610d9f6354be741b09fc25b5e9645328 cd2/movies4.bif
+
+copylower "$CDMOUNT/cd2/" "$TARGETDIR" || die
+
+setperms "$TARGETDIR"
diff --git a/pst/install-2cd-minimal.sh b/pst/install-2cd-minimal.sh
new file mode 100755
index 0000000..d868b90
--- /dev/null
+++ b/pst/install-2cd-minimal.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+# Installs Planescape Torment 2CD version minimal
+
+FULLGAMENAME="Planescape Torment: 2CD version"
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 640b61443cc86c434f1b6826e63c0e33 data1.cab
+
+mkdir -p "$TARGETDIR" || die
+
+unshield -g MinimumData -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
+unshield -g MinimumData -L x $CDMOUNT/data2.cab -d "$TARGETDIR" || die
+
+cp $CDMOUNT/Manual/Torment.pdf "$TARGETDIR"/manual.pdf || die
+cp $CDMOUNT/Torment.ico "$TARGETDIR"/torment.ico || die
+cp $CDMOUNT/Torment.ex_ "$TARGETDIR"/torment.exe || die
+
+mv "$TARGETDIR"/minimumdata/* "$TARGETDIR" || die
+rmdir "$TARGETDIR"/minimumdata || die
+
+mkdir -p "$TARGETDIR/save" || die
+
+setperms "$TARGETDIR"
diff --git a/pst/install-4cd-extra.sh b/pst/install-4cd-extra.sh
new file mode 100755
index 0000000..064edb4
--- /dev/null
+++ b/pst/install-4cd-extra.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Installs Planescape Torment 4CD version extras
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 2 99be7c8544016302c820088091c52fef cd2/movies2.bif
+copylower "$CDMOUNT/cd2/" "$TARGETDIR" || die
+
+getcd 3 6ffd2c51a41603c7dca6196d9bef2e26 cd3/AR0500.bif
+copylower "$CDMOUNT/cd3/" "$TARGETDIR" || die
+
+getcd 4 b70322aaa7b1d61a168a766eba399085 cd4/movies4.bif
+copylower "$CDMOUNT/cd4/" "$TARGETDIR" || die
+
+setperms "$TARGETDIR"
diff --git a/pst/install-4cd-minimal.sh b/pst/install-4cd-minimal.sh
new file mode 100755
index 0000000..5ffb88b
--- /dev/null
+++ b/pst/install-4cd-minimal.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+# Installs Planescape Torment 4CD version minimal
+
+FULLGAMENAME="Planescape Torment: 4CD version"
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 5e8c2075163aca124de4a467fb33063d data1.cab
+
+mkdir -p "$TARGETDIR" || die
+
+unshield -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
+
+cp -R "$TARGETDIR"/program_executable_files/* "$TARGETDIR" || die
+rm -r "$TARGETDIR"/program_executable_files
+
+cp $CDMOUNT/torment.ico "$TARGETDIR" || die
+
+mkdir -p "$TARGETDIR/save" || die
+
+setperms "$TARGETDIR"
diff --git a/pst/install-patch-fixpack.sh b/pst/install-patch-fixpack.sh
new file mode 100755
index 0000000..6630023
--- /dev/null
+++ b/pst/install-patch-fixpack.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+# Planescape: Torment Ultimate Weidu Fixpack
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin WeiDU unrar
+
+setuptmp
+
+if [ ! -f "$PATCHDIR/pstfixpack.rar" ]; then
+ echo "You need to download the fixpack from http://dl.spellholdstudios.net/pst-fixpack" 1>&2
+ echo "and put it in $PATCHDIR to install this patch" 1>&2
+ exit
+fi
+
+unrar x -o+ -cl "$PATCHDIR/pstfixpack.rar" "$TARGETDIR" || die
+rm "$TARGETDIR/setup-pst-fix.exe"
+cd "$TARGETDIR"
+
+case "$LANGUAGE" in
+ "German" ) langno=1 ;;
+ "Spanish" ) langno=2 ;;
+ "Italian" ) langno=3 ;;
+ * ) langno=0 ;;
+esac
+
+# echo to install all manually as --yes assumes English
+echo -e "${langno}\nn\ni\ni\ni\n\n" \
+| WeiDU --continue setup-pst-fix.tp2 || die
+
+setperms "$TARGETDIR"
diff --git a/pst/install-patch-official.sh b/pst/install-patch-official.sh
new file mode 100755
index 0000000..485fad1
--- /dev/null
+++ b/pst/install-patch-official.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+# Planescape: Torment official patch
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin cabextract unshield wget
+
+setuptmp
+
+getpatch http://www.sorcerers.net/Games2/Torment/Trmt11.exe
+
+cabextract -L $TMPDIR/Trmt11.exe -d $TMPDIR || die
+unshield -L x $TMPDIR/data1.cab -d $TMPDIR || die
+
+cp -R $TMPDIR/program_executable_files/* "$TARGETDIR" || die
+
+cleanuptmp
+setperms "$TARGETDIR"
diff --git a/pst/install-patch-tweaks.sh b/pst/install-patch-tweaks.sh
new file mode 100755
index 0000000..a90ee40
--- /dev/null
+++ b/pst/install-patch-tweaks.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+# Planescape: Torment Tweak Pack
+# Note: this only installs the Banter Accelerator
+# and Stackable Items tweaks
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin WeiDU unrar
+
+setuptmp
+
+if [ ! -f "$PATCHDIR/psttweak.rar" ]; then
+ echo "You need to download the fixpack from http://dl.spellholdstudios.net/pst-qtweaks" 1>&2
+ echo "and put it in $PATCHDIR to install this patch" 1>&2
+ exit
+fi
+
+unrar x -o+ -cl "$PATCHDIR/psttweak.rar" "$TARGETDIR" || die
+rm "$TARGETDIR/setup-pst-tweak.exe"
+cd "$TARGETDIR"
+
+case "$LANGUAGE" in
+ "German" ) langno=1 ;;
+ "Spanish" ) langno=2 ;;
+ "Italian" ) langno=3 ;;
+ * ) langno=0 ;;
+esac
+
+# echo to install all manually as --yes assumes English
+echo -e "${langno}\nn\n2\nn\nn\ni\nn\ni\nn\nn\nn\nn\nn\nn\nn\nn\nn\n" \
+| WeiDU --continue setup-pst-tweak.tp2 || die
+
+setperms "$TARGETDIR"
diff --git a/pst/install-patch-ub.sh b/pst/install-patch-ub.sh
new file mode 100755
index 0000000..b26a66c
--- /dev/null
+++ b/pst/install-patch-ub.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+# Planescape: Torment Unfinished Business
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin WeiDU unrar
+
+setuptmp
+
+if [ ! -f "$PATCHDIR/pstub.rar" ]; then
+ echo "You need to download the fixpack from http://dl.spellholdstudios.net/pst-ub" 1>&2
+ echo "and put it in $PATCHDIR to install this patch" 1>&2
+ exit
+fi
+
+unrar x -o+ -cl "$PATCHDIR/pstub.rar" "$TARGETDIR" || die
+rm "$TARGETDIR/setup-pst-ub.exe"
+cd "$TARGETDIR"
+
+case "$LANGUAGE" in
+ "German" ) langno=1 ;;
+ "Spanish" ) langno=2 ;;
+ "Italian" ) langno=3 ;;
+ * ) langno=0 ;;
+esac
+
+# echo to install all manually as --yes assumes English
+echo -e "${langno}\nn\ni\ni\nn\n\n" \
+| WeiDU --continue setup-pst-ub.tp2 || die
+
+setperms "$TARGETDIR"